Skip to main content
POST
Mint a fresh application link for re-engaging an approved customer

Authorizations

x-api-key
string
header
required

Path Parameters

customer_id
string
required

Unique identifier (ksuid) of the customer record KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

Response

A fresh application link was minted

Response returned when re-engaging an approved customer: a fresh application link (with a freshly minted onboarding token) for the customer's existing approved application.

application_id
string
required

Unique identifier of the customer's existing approved application

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

application_url
string<uri>
required

Public URL for re-engaging the customer via the web form (includes the freshly minted embedded token)

Example:

"https://apply.dakota.com/applications/2WGC9cKv9P4K8eGzqY6qJ3Xz7Qm?token=kJ8xN3zQ9mL2pR5vY7wC1aF4dG6hK0sT8uW3nB5eM9"

application_expires_at
integer<int64>
required

Unix timestamp (nanoseconds) when the freshly minted token expires

Example:

1734567890000000000